searchNodes=[{"doc":"Spin up dynamic clusters in ExUnit tests with no special setup necessary. Provides helpers for writing tests on nodes in isolated clusters, you can run normal tests alongside clustered tests. This library relies on the :peer module which was introduced in OTP 25 and is first supported in elixir version 1.13.4. Examples The most straightforward way to start using ExUnitCluster for a distributed test, is to start ExUnitCluster.Manager inside the test. defmodule SimpleTest do use ExUnit.Case , async : true test &quot;start node in test case&quot; , ctx do # 1) Start the cluster manager under the test supervisor cluster = start_supervised! ( { ExUnitCluster.Manager , ctx } ) # 2) Start a node linked to the given manager node = ExUnitCluster . start_node ( cluster ) # 3) Make an RPC to the node node_name = ExUnitCluster . call ( cluster , node , Node , :self , [ ] ) refute Node . self ( ) == node_name end end If you want all tests in a module to use a cluster you can start ExUnitCluster.Manager in ExUnit.Callbacks.setup/1 . defmodule ClusterTest do use ExUnit.Case , async : true setup ctx do # 1) Start a cluster manager under the test supervisor for each test cluster = start_supervised! ( { ExUnitCluster.Manager , ctx } ) [ cluster : cluster ] end test &quot;start node in test&quot; , %{ cluster : cluster } do # 2) Start a node in this test node = ExUnitCluster . start_node ( cluster ) # 3) Make an RPC to the node node_name = ExUnitCluster . call ( cluster , node , Node , :self , [ ] ) refute Node . self ( ) == node_name end end Which is exactly what ExUnitCluster.Case does defmodule ReadmeClusterTest do use ExUnitCluster.Case , async : true test &quot;start node in test&quot; , %{ cluster : cluster } do node = ExUnitCluster . start_node ( cluster ) node_name = ExUnitCluster . call ( cluster , node , Node , :self , [ ] ) refute Node . self ( ) == node_name end end","ref":"ExUnitCluster.html","title":"ExUnitCluster","type":"module"},{"doc":"See ExUnitCluster.Manager.call/6 .","ref":"ExUnitCluster.html#call/6","title":"ExUnitCluster.call/6","type":"function"},{"doc":"See ExUnitCluster.Manager.get_nodes/1 .","ref":"ExUnitCluster.html#get_nodes/1","title":"ExUnitCluster.get_nodes/1","type":"function"},{"doc":"Execute multiline code blocks on a specific node","ref":"ExUnitCluster.html#in_cluster/3","title":"ExUnitCluster.in_cluster/3","type":"macro"},{"doc":"See ExUnitCluster.Manager.start_node/3 .","ref":"ExUnitCluster.html#start_node/3","title":"ExUnitCluster.start_node/3","type":"function"},{"doc":"See ExUnitCluster.Manager.stop_node/3 .","ref":"ExUnitCluster.html#stop_node/3","title":"ExUnitCluster.stop_node/3","type":"function"},{"doc":"Extends ExUnit.Case to start a new ExUnitCluster.Manager for each test.","ref":"ExUnitCluster.Case.html","title":"ExUnitCluster.Case","type":"module"},{"doc":"Documentation for ExUnitCluster.Manager","ref":"ExUnitCluster.Manager.html","title":"ExUnitCluster.Manager","type":"module"},{"doc":"","ref":"ExUnitCluster.Manager.html#call/6","title":"ExUnitCluster.Manager.call/6","type":"function"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"ExUnitCluster.Manager.html#child_spec/1","title":"ExUnitCluster.Manager.child_spec/1","type":"function"},{"doc":"","ref":"ExUnitCluster.Manager.html#get_nodes/1","title":"ExUnitCluster.Manager.get_nodes/1","type":"function"},{"doc":"","ref":"ExUnitCluster.Manager.html#start_link/1","title":"ExUnitCluster.Manager.start_link/1","type":"function"},{"doc":"","ref":"ExUnitCluster.Manager.html#start_node/3","title":"ExUnitCluster.Manager.start_node/3","type":"function"},{"doc":"","ref":"ExUnitCluster.Manager.html#stop_node/3","title":"ExUnitCluster.Manager.stop_node/3","type":"function"},{"doc":"Spin up dynamic clusters in ExUnit tests with no special setup necessary. Provides helpers for writing tests on nodes in isolated clusters, you can run normal tests alongside clustered tests. This library relies on the :peer module which was introduced in OTP 25 and is first supported in elixir version 1.13.4.","ref":"readme.html","title":"ExUnit Cluster","type":"extras"},{"doc":"The most straightforward way to start using ExUnitCluster for a distributed test, is to start ExUnitCluster.Manager inside the test. defmodule SimpleTest do use ExUnit.Case , async : true test &quot;start node in test case&quot; , ctx do # 1) Start the cluster manager under the test supervisor cluster = start_supervised! ( { ExUnitCluster.Manager , ctx } ) # 2) Start a node linked to the given manager node = ExUnitCluster . start_node ( cluster ) # 3) Make an RPC to the node node_name = ExUnitCluster . call ( cluster , node , Node , :self , [ ] ) refute Node . self ( ) == node_name end end If you want all tests in a module to use a cluster you can start ExUnitCluster.Manager in ExUnit.Callbacks.setup/1 . defmodule ClusterTest do use ExUnit.Case , async : true setup ctx do # 1) Start a cluster manager under the test supervisor for each test cluster = start_supervised! ( { ExUnitCluster.Manager , ctx } ) [ cluster : cluster ] end test &quot;start node in test&quot; , %{ cluster : cluster } do # 2) Start a node in this test node = ExUnitCluster . start_node ( cluster ) # 3) Make an RPC to the node node_name = ExUnitCluster . call ( cluster , node , Node , :self , [ ] ) refute Node . self ( ) == node_name end end Which is exactly what ExUnitCluster.Case does defmodule ReadmeClusterTest do use ExUnitCluster.Case , async : true test &quot;start node in test&quot; , %{ cluster : cluster } do node = ExUnitCluster . start_node ( cluster ) node_name = ExUnitCluster . call ( cluster , node , Node , :self , [ ] ) refute Node . self ( ) == node_name end end","ref":"readme.html#examples","title":"ExUnit Cluster - Examples","type":"extras"},{"doc":"Add ex_unit_cluster to your list of dependencies in mix.exs : def deps do [ { :ex_unit_cluster , &quot;~&gt; 0.2.0&quot; } ] end","ref":"readme.html#installation","title":"ExUnit Cluster - Installation","type":"extras"}]